Skip to main content
GET
/
assets
/
artifacts
/
{resource_uri}
Get Artifact
curl --request GET \
  --url https://api.example.com/assets/artifacts/{resource_uri} \
  --header 'Authorization: Bearer <token>'
{
  "resource_uri": "<string>",
  "name": "<string>",
  "key": "<string>",
  "organization_id": "<string>",
  "project_id": "<string>",
  "owner_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_by": "<string>",
  "type": "artifact",
  "content_type": "<string>",
  "size": 123,
  "description": "<string>",
  "tags": [],
  "meta": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

resource_uri
string
required

Artifact resource URI (e.g., 'artifact:acme-corp:ml-project:training-dataset')

Response

Successful Response

Full artifact representation.

resource_uri
string
required
name
string
required
key
string
required
organization_id
string
required
project_id
string
required
owner_id
string
required
deprecated

Deprecated: use created_by instead. Will be removed in a future release.

created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string
required
updated_by
string
required
type
string
default:artifact
content_type
string | null
size
integer | null
description
string | null
tags
string[]
meta
Meta · object